# Draw
TKDraw
Draw

# Draw_MapOfFunctions Class Reference

`#include <Draw_MapOfFunctions.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Draw_MapOfFunctions (const Standard_Integer NbBuckets=1)
Standard_EXPORT Draw_MapOfFunctions & | Assign (const Draw_MapOfFunctions &Other)
Draw_MapOfFunctions & | operator= (const Draw_MapOfFunctions &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Draw_MapOfFunctions ()
Standard_EXPORT Standard_Boolean | Bind (const TCollection_AsciiString &K, const OSD_Function &I)
Standard_EXPORT Standard_Boolean | IsBound (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TCollection_AsciiString &K)
Standard_EXPORT const OSD_Function & | Find (const TCollection_AsciiString &K) const
const OSD_Function & | operator() (const TCollection_AsciiString &K) const
Standard_EXPORT OSD_Function & | ChangeFind (const TCollection_AsciiString &K)
OSD_Function & | operator() (const TCollection_AsciiString &K)

## Private Member Functions

Standard_EXPORT | Draw_MapOfFunctions (const Draw_MapOfFunctions &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Draw_MapOfFunctions::Draw_MapOfFunctions | ( | const Standard_Integer | NbBuckets = `1` | ) |

Draw_MapOfFunctions::~Draw_MapOfFunctions | ( |  | ) | `[inline]`

Standard_EXPORT Draw_MapOfFunctions::Draw_MapOfFunctions | ( | const Draw_MapOfFunctions & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Draw_MapOfFunctions& Draw_MapOfFunctions::Assign | ( | const Draw_MapOfFunctions & | Other | ) |

Standard_EXPORT Standard_Boolean Draw_MapOfFunctions::Bind | ( | const TCollection_AsciiString & | K,
|  | const OSD_Function & | I
| ) |

Standard_EXPORT OSD_Function& Draw_MapOfFunctions::ChangeFind | ( | const TCollection_AsciiString & | K | ) |

Standard_EXPORT void Draw_MapOfFunctions::Clear | ( |  | ) |

Standard_EXPORT const OSD_Function& Draw_MapOfFunctions::Find | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Boolean Draw_MapOfFunctions::IsBound | ( | const TCollection_AsciiString & | K | ) | const

void Draw_MapOfFunctions::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Draw_MapOfFunctions::operator new | ( | size_t | size | ) | `[inline]`

void* Draw_MapOfFunctions::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

OSD_Function& Draw_MapOfFunctions::operator() | ( | const TCollection_AsciiString & | K | ) | `[inline]`

const OSD_Function& Draw_MapOfFunctions::operator() | ( | const TCollection_AsciiString & | K | ) | const`[inline]`

Draw_MapOfFunctions& Draw_MapOfFunctions::operator= | ( | const Draw_MapOfFunctions & | Other | ) | `[inline]`

Standard_EXPORT void Draw_MapOfFunctions::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean Draw_MapOfFunctions::UnBind | ( | const TCollection_AsciiString & | K | ) |

The documentation for this class was generated from the following file:

- Draw_MapOfFunctions.hxx